# UserInfo | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Interface UserInfo

interface UserInfo {
discordId : string;
googleId : string;
hasAdminRole : boolean;
lastSessionSlot : number;
username : string;
}

#### Hierarchy (View Summary)

- UserInfo
  - AccountInfoResponse

- Defined in src/@types/UserInfo.ts:1

##### Index

### Properties

discordId
googleId
hasAdminRole
lastSessionSlot
username

## Properties

### discordId

discordId: string

- Defined in src/@types/UserInfo.ts:4

### googleId

googleId: string

- Defined in src/@types/UserInfo.ts:5

### hasAdminRole

hasAdminRole: boolean

- Defined in src/@types/UserInfo.ts:6

### lastSessionSlot

lastSessionSlot: number

- Defined in src/@types/UserInfo.ts:3

### username

username: string

- Defined in src/@types/UserInfo.ts:2